// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_LGCOUTPUTRESLEXER_P_H
#define TABLE_LGCOUTPUTRESLEXER_P_H

class Table_LGCOutputResLexer
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        ANGL = 39,
        ASTERISKS = 10,
        CALAGE = 26,
        CAM = 55,
        CAMUVD = 56,
        CAMUVEC = 57,
        COLON = 8,
        COMMENTSTRING = 3,
        CONTRAINTES3D = 70,
        DECIMAL = 6,
        DHOR = 42,
        DIST = 43,
        DLEV = 38,
        DSPT = 37,
        DVER = 51,
        ECDIR = 40,
        ECHO = 47,
        ECSP = 68,
        ECTH = 41,
        ECVE = 69,
        ECWI = 50,
        ECWS = 49,
        EDM = 58,
        ELLIPSES = 32,
        ELLIPSOIDS = 31,
        END = 19,
        EOL_SYMBOL = 2,
        EQUAL = 9,
        EREL_START = 18,
        FRAME = 72,
        FRAME_PARAMETER = 73,
        INCLY = 48,
        IND = 7,
        INTEGER = 5,
        INVARIABLES = 25,
        LEP = 20,
        LEVEL = 59,
        MEASURES_START = 17,
        MEASURES_SUMMARY_START = 16,
        OBSXYZ = 52,
        OLOC = 21,
        ORIE = 46,
        PDOR = 33,
        PLR3D = 44,
        PLRORIE = 67,
        POINT = 11,
        POINTS = 12,
        POLAIRE = 60,
        RADI = 53,
        RADIAL = 71,
        REPARTITION = 54,
        RS2K = 22,
        SFP = 34,
        SPHE = 23,
        STATISTICS_CONTENTS_START = 15,
        STATISTICS_START = 14,
        SUMMARY_START = 13,
        TSTNANGL = 61,
        TSTNDHOR = 64,
        TSTNDIST = 65,
        TSTNECDIR = 62,
        TSTNECTH = 63,
        TSTNZEND = 66,
        UNKNOWN = 1,
        UVD = 36,
        UVEC = 35,
        VARIABLES = 24,
        WORD = 4,
        X = 28,
        XY = 74,
        XYZ = 27,
        XZ = 75,
        Y = 29,
        YZ = 76,
        Z = 30,
        ZEND = 45,

        ACCEPT_STATE = 1156,
        RULE_COUNT = 489,
        STATE_COUNT = 1157,
        TERMINAL_COUNT = 77,
        NON_TERMINAL_COUNT = 292,

        GOTO_INDEX_OFFSET = 1157,
        GOTO_INFO_OFFSET = 1436,
        GOTO_CHECK_OFFSET = 1436
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_LGCOUTPUTRESLEXER_P_H

